﻿using Edura.ViewModel;
using Syncfusion.SfCalendar.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace Edura.Views
{
    public partial class Calender : ContentPage
    {
        private bool isRowEven = true;
        public Calender()
        {
            InitializeComponent();
            Title = "Academic Calender";
            CalenderViewModel vm = new CalenderViewModel();
            AcademicVListiew.ItemsSource = vm.Iterms;
            BindingContext = vm;

            /* MonthLabelSettings labelSettings = new MonthLabelSettings();
             labelSettings.DateFormat = "dd";
             labelSettings.DayFormat = "EEE";
             MonthViewSettings monthViewSettings = new MonthViewSettings();
             monthViewSettings.TodayTextColor = Color.White;
             monthViewSettings.SelectedDayTextColor = Color.FromHex("#1D1D26");
             monthViewSettings.InlineBackgroundColor = Color.FromHex("#E4E8ED");
             monthViewSettings.MonthLabelSettings = labelSettings;

             calendar.MonthViewSettings = monthViewSettings;
             calendar.ViewMode = ViewMode.MonthView;
             calendar.HeaderHeight = 0;
             calendar.ShowHeader = false;
             calendar.OnMonthCellLoaded += Calendar_OnMonthCellLoaded;*/

            calendar.ShowInlineEvents = true;
            //calendar.ShowNavigationButtons = true;
            calendar.OnMonthCellLoaded += Calendar_OnMonthCellLoaded;
            MonthViewSettings settings = new MonthViewSettings();
            settings.DayHeaderBackgroundColor = Color.FromHex("#50D2C2");
            settings.DayCellFontFamily = "GeosansLight";
            settings.DayHeaderTextColor = Color.White;
            calendar.MonthViewSettings = settings;
            CalendarInlineEvent events = new CalendarInlineEvent();
            events.StartTime = new DateTime(2016, 10, 1);
            events.EndTime = new DateTime(2016, 10, 8);
            events.Subject = "Go to Meeting";

            CalendarEventCollection collection = new CalendarEventCollection();
            collection.Add(events);
            calendar.DataSource = collection;

        }

       
        private void Calendar_OnMonthCellLoaded(object sender, MonthCell args)
          {
            /* args.TextColor = Color.White;
             args.BackgroundColor = Color.FromHex("#50D2C2");
             args.BorderColor = Color.FromHex("#50D2C2");
             args.Font = Font.OfSize(new OnPlatform<string>() { Android = "GeosansLight.ttf#GeosansLight", iOS = "GeosansLight.ttf" }, NamedSize.Small);*/

            Label lbl = new Label();
            lbl.VerticalTextAlignment = TextAlignment.Center;
            lbl.HorizontalTextAlignment = TextAlignment.Center;

            //lbl.VerticalOptions = LayoutOptions.FillAndExpand;
            //lbl.HorizontalOptions = LayoutOptions.FillAndExpand;
            //lbl.FontFamily = "GeosansLight.ttf";
            lbl.FontFamily = new OnPlatform<string>() { Android = "GeosansLight.ttf#GeosansLight", iOS = "GeosansLight.ttf" };
            lbl.FontSize = Device.OnPlatform(24, Device.GetNamedSize(NamedSize.Medium, lbl), Device.GetNamedSize(NamedSize.Large, lbl));
            lbl.Text = args.Date.ToString("dd");

            args.TextColor = Color.White;
            args.BackgroundColor = Color.FromHex("#50D2C2");
            args.BorderColor = Color.FromHex("#50D2C2");
            args.View.BackgroundColor = Color.FromHex("#50D2C2");
            lbl.VerticalOptions = LayoutOptions.FillAndExpand;
            lbl.HorizontalOptions = LayoutOptions.FillAndExpand;

            args.View = lbl;


        } 

        private void Cell_OnAppearing(object sender, EventArgs e)
        {
           
                var viewCell = (ViewCell)sender;
                if (viewCell.View != null)
                {
                    BoxView v = viewCell.View.FindByName<BoxView>("viewBox");
                    if (this.isRowEven)
                    {
                        v.Color = Color.FromHex("#FFB258");
                    }
                    else
                    {
                        v.Color = Color.FromHex("#9797FE");
                    }
                }

            this.isRowEven = !this.isRowEven;
        }




       
    }
}


